From 6e9cf7f32ceffd62d230d482d8d0d4a5b2c9303a Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 4 Jan 2022 17:13:12 +0100
Subject: [PATCH 275/294] QDateTime: Don't require c++17

Follow-up to commit c79a6cc1d4a04a1db09902e856d7a64d09a4cf85
See also: https://invent.kde.org/qt/backports-tracker/-/issues/1414
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/corelib/time/qdatetime.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/corelib/time/qdatetime.cpp b/src/corelib/time/qdatetime.cpp
index 5aca779f02..8e7a380071 100644
--- a/src/corelib/time/qdatetime.cpp
+++ b/src/corelib/time/qdatetime.cpp
@@ -1430,7 +1430,8 @@ QDate QDate::addDays(qint64 ndays) const
     if (isNull())
         return QDate();
 
-    if (qint64 r; Q_UNLIKELY(add_overflow(jd, ndays, &r)))
+    qint64 r;
+    if (Q_UNLIKELY(add_overflow(jd, ndays, &r)))
         return QDate();
     else
         return fromJulianDay(r);
-- 
2.33.0

